Botan: Botan::Cert_Extension::Subject_Alternative_Name Class Reference

Botan 1.10.16

Public Member Functions | List of all members
Botan::Cert_Extension::Subject_Alternative_Name Class Reference

`#include <x509_ext.h>`

Inheritance diagram for Botan::Cert_Extension::Subject_Alternative_Name:

## Public Member Functions
Subject_Alternative_Name * | copy () const
AlternativeName | get_alt_name () const
OID | oid_of () const
| Subject_Alternative_Name (const AlternativeName &=AlternativeName())

## Detailed Description

Subject Alternative Name Extension

Definition at line 218 of file x509_ext.h.

## Constructor & Destructor Documentation

## ◆ Subject_Alternative_Name()

Botan::Cert_Extension::Subject_Alternative_Name::Subject_Alternative_Name | ( | const AlternativeName & | name = `AlternativeName()` | ) |

Definition at line 389 of file x509_ext.cpp.

390 :
391
392 Alternative_Name(name, "X509v3.SubjectAlternativeName",
393 "subject_alternative_name")
394 {
395 }
Botan::Cert_Extension::Alternative_Name::Alternative_Name
Alternative_Name(const AlternativeName &, const std::string &, const std::string &)
Definition: x509_ext.cpp:377

## Member Function Documentation

## ◆ copy()

Subject_Alternative_Name* Botan::Cert_Extension::Subject_Alternative_Name::copy | ( |  | ) | const
| inlinevirtual

Make a copy of this extension

Returns
  copy of this

Implements Botan::Certificate_Extension.

Definition at line 221 of file x509_ext.h.

222 { return new Subject_Alternative_Name(get_alt_name()); }
Botan::Cert_Extension::Alternative_Name::get_alt_name
AlternativeName get_alt_name() const
Definition: x509_ext.h:195
Botan::Cert_Extension::Subject_Alternative_Name::Subject_Alternative_Name
Subject_Alternative_Name(const AlternativeName &=AlternativeName())
Definition: x509_ext.cpp:389

## ◆ get_alt_name()

AlternativeName Botan::Cert_Extension::Alternative_Name::get_alt_name | ( |  | ) | const
| inlineinherited

Definition at line 195 of file x509_ext.h.

195 { return alt_name; }

## ◆ oid_of()

OID Botan::Certificate_Extension::oid_of | ( |  | ) | const
| inherited

Returns
  OID representing this extension

Definition at line 72 of file x509_ext.cpp.

References Botan::OIDS::lookup().

Referenced by Botan::Extensions::encode_into().

73 {
74 return OIDS::lookup(oid_name());
75 }
Botan::Certificate_Extension::oid_name
virtual std::string oid_name() const =0
Botan::OIDS::lookup
std::string lookup(const OID &oid)
Definition: oids.cpp:31

The documentation for this class was generated from the following files:

- src/cert/x509cert/x509_ext.h
- src/cert/x509cert/x509_ext.cpp